INTRO
=====

Saxinfo is a hypertext X info file reader.  It was originally designed
as a help system for the `aXe' editor, and for that was known as
`axinfo'.  Saxinfo is a `Standalone axinfo'.

USAGE
=====

The `saxinfo' command has the following form:

     saxinfo [-node node] [-rows rows] [-columns columns] [-tree] [file]

With no options saxinfo creates the Hypertext window (*Note HyperText::)
displaying the *Top* node.

Files specified may, or may not have the ending `.info'.  Saxinfo will
try first to open the filename as given, and then try adding `.info'
and opening that.  It will do this for every directory in its info path.

-node node
     permits a named node within the help system to be displayed on
     startup. The names which can be specified are the words which
     appear highlighted in the text of the help.

     Example:
          saxinfo -node 'AxinfoCmd' axe.info

     would start up `saxinfo' with the text you are looking at now
     displayed.

-rows rows
     permits the height of the hypertext window to be specified.  *Note
     CustomAxinfo:: has more information.

-columns columns
     permits the width of the hypertext window to be specified.  *Note
     CustomAxinfo:: has more information.

-tree
     causes the tree window (*Note Tree::) to be created. The hypertext
     window (*Note HyperText::) is not created unless a node is
     specified using the `-node' option. This option is ignored under
     versions of X prior to Release 5.

file
     is the name of the Texinfo file containing the information to be
     browsed. Files specified may, or may not have the ending .info'. 
     Saxinfo will try first to open the filename as given, and then try
     adding .info' and opening that.  It will do this for every directory
     in its info path.  *Note CustomAxinfo:: has more information on the
     path.


History of saxinfo
==================

When I first came into contact with 'saxinfo' it was known as `axinfo',
and was distributed with `aXe', an X text editor package.  Originally it
was designed primarily for use only as the browser for aXe's own help
files.

In its original incarnation, axinfo would not search multiple directories
for .info files, nor could a directory be specified easily on the command
line.  I needed a good x info browser, though, and I hadn't found one
enywhere else.  I took it upon myself to write a shell script front end
for axinfo that would make it easier to use.  This proved more involved
than just modifying the source.  And so, the "standalone axinfo" was
born.

The credit for writing this goes almost entirely to the original author, 
J. K. Wight <J.K.Wight@newcastle.ac.uk>.  The changes I made were
relatively minor.  They are:

 - Added search path support
 - Added zlib support for gzipped info files
 - Separated from original source tree
 - Changed the name and version, so as not to cause conflict with
   anyone actually using the original `axinfo'
 - Cleaned up docs.

Anyone wishing to comment, send patches, or ask questions can reach me at
Kurt Fitzner <kfitzner@nexus.v-wave.com>

The original author's information is:

J.K.Wight@newcastle.ac.uk
Department of Computing Science, University of Newcastle,  Tel: +44 91 222 8238
Newcastle upon Tyne, NE1 7RU, United Kingdom.              Fax: +44 91 222 8232
